      subroutine comptc(nalpha,nbeta,limc,k)
      use module
      implicit real(8) (a-h,o-x,z),logical(1)(y)
      !
      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
      ! Calcul du nombre de determinants engendres par chaque string
      ! CAS. Adresse totale de chaque determinant du CAS
      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
      !
      idetc(k)=idimc(iclasc(nalpha,nbeta))
      if(w2)print'(a,5i5)',"comptc k,nalpha,nbeta,iclasc,idimc",
     *k,nalpha,nbeta,iclasc(nalpha,nbeta)
     *,idimc(iclasc(nalpha,nbeta))
      return
      end
